Summary: 4.4BSD-Lite telnet and telentd with encryption support
Name: SSL-MZtelnet
Version: 0.11.1
Release: 1
Source: ftp://ftp.replay.com:/pub/replay/pub/crypto/SSL-MZapps/SSL-MZtelnet-0.11.1.tar.gz
Copyright: Freely distributable, retain attribution
Group: Networking
Packager: Ben Hochstedler <hochstrb$cs.rose-hulman.edu>
#Patch: SSL-MZtelnet-0.9.1.patch
#Prefix: /usr/local/ssl
Icon: ssleay.gif
%description
SSL-MZ telnet(d) package with encryption support.
It comes from the 4.4BSD-Lite version of telnet and telnetd and is
patched with the SSL-enhancement of Tim Hudson <tjh@mincom.oz.au>,
which he did to the SRA-telnet sources.

%changelog
* Sun Sep 14 1997 Ben <hochstrb@cs.rose-hulman.edu> 0.11.1-1
- Initial RPM

%prep
%setup

%build
./configure --with-ssl 
make

%install
strip telnet/telnet
strip telnetd/telnetd
make install
install -d /usr/local/ssl/man/man1
install -m644 telnet/telnet.1 /usr/local/ssl/man/man1/telnet.1
install -d /usr/local/ssl/man/man8
install -m644 telnetd/telnetd.8 /usr/local/ssl/man/man8/telnetd.8

%files
%doc README ANNOUNCE BUGS PLATFORMS README.apps TAGS VERSION
/usr/local/ssl/bin/telnet
/usr/local/ssl/bin/telnetd
/usr/local/ssl/man/man1/telnet.1
/usr/local/ssl/man/man8/telnetd.8

%post
echo -n "Removing executable permissions on /usr/bin/telnet"
chmod -f a-x /usr/bin/telnet
echo ""
echo ""
echo "If you haven't already, in order to view the SSL manpages, you will need to"
echo "edit /etc/man.conf to include /usr/local/ssl/man.  Add these lines:"
echo "MANPATH         /usr/local/ssl/man"
echo "MANPATH_MAP     /usr/local/ssl/bin      /usr/local/ssl/man"
echo ""
echo "In order to run the SSL telnet server, run the following commands:"
echo "cd /usr/local/ssl/certs"
echo "ssleay req -new -x509 -nodes -days 365 -out telnetd.pem -keyout telnetd.pem"
echo "ln -s telnetd.pem \`ssleay x509 -noout -hash < telnetd.pem\`.0" 
echo "chmod 644 telnetd.pem"
echo ""
echo "Change the in.telnetd entry in /etc/inetd.conf to /usr/local/ssl/bin/telnetd:"
echo "#telnet  stream  tcp     nowait  root    /usr/sbin/tcpd  in.telnetd"
echo "telnet stream  tcp     nowait  root    /usr/sbin/tcpd  /usr/local/ssl/bin/telnetd"

%postun
echo "Restoring executable permissions on /usr/bin/telnet"
chmod -f a+x /usr/bin/telnet
echo "Removing /usr/local/ssl/certs/telnetd.pem"
cd /usr/local/ssl/certs/
rm -f `../bin/ssleay x509 -noout -hash < telnetd.pem`.0
rm -f telnetd.pem
